<?php
session_start();
if ($_SESSION['authuser'] != 1 AND $_SESSION['authuser'] != 2) {
echo "<p>Nemáte oprávnění prohlížet tuto stránku.</p>\n"; 
echo "Možné důvody:</p>\n";
echo "<BR />";
echo "1. Špatný login nebo heslo";
echo "<BR />";
echo "2. Byl jste odhlášen z důvodu časově delší neaktivity";
echo "<BR />";
echo "<a href='login.php'>Zpět na přihlašovací stránku</a>";
	exit();
	}
?> 
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
  <head>
  <meta http-equiv="content-type" content="text/html; charset=windows-1250">
<title>Diplomová práce</title>
<link rel="stylesheet" type="text/css" href="./css/default.css" media="screen" />
<script type="text/javascript" src="./js/imagelink.js"></script>
  </head>
  <body>
     <body>

<div id="view">
  <!-- #header (hlavička + logo a slogan) -->
  <div id="head">

    <hr class="hidden" />
    <!-- logo a slogan -->
    <div id="logo">
      <h1>Databáze</h1>
      <h2>Neuroinformatika</h2>
      <a href="" class="block">&nbsp;</a>
    </div>
    <!-- /logo a slogan -->
    <hr class="hidden" />
  </div>
  <!-- /#header (hlavička + logo a slogan) -->
  
  <!-- #hlavní část -->
  <div id="content">
    <!-- #levá část webu - hlavní část -->
    <div id="contentBlock">  
           <div class="item">
        <h2>Výpis pacientů </h2>
        <br />
        <ul class="info">
          <li>Výpis</li>
          <li class="tag">Seřazeno dle příjmení</li>
               </ul>
       <?
do {
	@$spojeni = MySQL_Connect('mysql', 'marvik.johny.cz', 'marvik30');
	if (!$spojeni):
		echo "Nepodařilo se připojit k MySQL.<BR>\n";
		break;
	endif;
	MySQL_Select_DB("marvik_johny_cz");
	@$vysledek = MySQL_Query("SELECT * FROM pacient ORDER BY Prijmeni");
	if (!$vysledek):
		echo "Došlo k chybě při zpracování dotazu v databázi.<BR>\n";
		break;
	endif;
	echo "<STRONG>V tabulce Pacienti je ".MySQL_Num_Rows($vysledek)." záznamů.</STRONG><BR>\n";
	echo "<BR />";
	echo "<TABLE rules='cols'>";
	echo "<TR><TD><STRONG>Jméno</STRONG><TD><STRONG>Příjmení</STRONG><TD><STRONG>Možnosti</STRONG>";
	    	while ($zaznam = MySQL_Fetch_Array($vysledek))
//
               {
         $vypis = "<TR><TD><div>".$zaznam['Jmeno']. "<TD>" .$zaznam['Prijmeni']." ";
         $vrc = $zaznam['RodneCislo_hash'];
         $vypis .= "<TD><a href='upravit.php?vrc=$vrc'>Editace</a>";
         $vypis .="</div>";
          echo ($vypis);
       }
       echo "</TABLE>";
  //  	echo $zaznam["RodneCislo"]." ".$zaznam["Jmeno"]." ".$zaznam["Prijmeni"]."<BR>\n";
	MySQL_Close($spojeni);    
} while (false);	
?>
      </div>      
     
    </div>
    <!-- /#levá část webu - hlavní část -->
    <hr class="hidden" />
    <!-- #pravá část webu - submenu -->
    <div id="menuBlock">
        <div class="box subMenu">
        <h3>Odhlášení:</h3>
        <ul>
           <li><a href="index.php">Logout</a></li>
          </ul>
      </div>
           <div class="box subMenu">
        <h3>Správa databáze:</h3>
        <ul>
           <li><a href="pridat.php">Přidat záznam</a></li>
           <li><a href="hledat.php">Hledat..</a></li>
           <li><a href="mysql.php">Zpět do hlavního menu</a></li>
          </ul>
      </div>
    </div>
    <!-- /#pravá část webu - hlavní část -->
  </div>
  <!-- /#hlavní část -->
  

  <div id="foot">
    
  </div> 

        </div>

</body>
</html>

  </body>
</html>
